Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSSException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.xmlsec.util.ChainedException
oracle.security.xmlsec.wss.WSSException`

All Implemented Interfaces:
  java.io.Serializable

public class WSSException
extends oracle.security.xmlsec.util.ChainedException

This class signals errors in processing an WS-WSSecurity header. An error code and optionally error message should be provided to create an `WSSException`. This information can be used to generate `SOAPFault` message.

See Also:
  Serialized Form

Field Summary
`static oracle.security.xmlsec.util.QName` | `FAILED_AUTHENTICATION` Indicates that the security token could not be authenticated or authorized.
`static oracle.security.xmlsec.util.QName` | `FAILED_CHECK` Indicates that the signature or decryption failed.
`static oracle.security.xmlsec.util.QName` | `INVALID_SECURITY` Indicates that an error was discovered while processing the wsse:Security header.
`static oracle.security.xmlsec.util.QName` | `INVALID_SECURITY_TOKEN` Indicates that the security token is not valid.
`static oracle.security.xmlsec.util.QName` | `MESSAGE_EXPIRED` Indicates that the timestamp on the security token has expired.
`static oracle.security.xmlsec.util.QName` | `SECURITY_TOKEN_UNAVAILABLE` Indicates that the referenced security token could not be retrieved.
`static oracle.security.xmlsec.util.QName` | `UNSUPPORTED_ALGORITHM` Indicates that an unsupported signature or encryption algorithm was used.
`static oracle.security.xmlsec.util.QName` | `UNSUPPORTED_SECURITY_TOKEN` Indicates that the security token is unsupported.

Constructor Summary
`WSSException()` Creates a new WSSException instance
`WSSException(oracle.security.xmlsec.util.QName faultcode)` Create a new `WSSException` instance with the given fault code.
`WSSException(oracle.security.xmlsec.util.QName faultcode, java.lang.String faultString)` Create a new `WSSException` instance with the given fault code and the detailed message.
`WSSException(java.lang.String message)` Creates a new WSSException instance with the given message string.
`WSSException(java.lang.Throwable cause, oracle.security.xmlsec.util.QName faultcode)` Create a new `WSSException` instance with the given fault code.

Method Summary
`oracle.security.xmlsec.soap.v11.SOAPEnvelope` | `createSOAPFault()` Create a SOAP Fault message describing this exception.
`oracle.security.xmlsec.util.QName` | `getFaultCode()` Return the WSS fault code.
`java.lang.String` | `getFaultString()` Return the WSS fault string.
`java.lang.String` | `getMessage()` Return the SOAP Fault Message.
`java.lang.String` | `getTraceString()` Used to return the Exception Stack Trace.
`java.lang.String` | `toString()` Return the description of the exception.

Methods inherited from class oracle.security.xmlsec.util.ChainedException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSUPPORTED_SECURITY_TOKEN

    public static final oracle.security.xmlsec.util.QName UNSUPPORTED_SECURITY_TOKEN

  Indicates that the security token is unsupported.

### UNSUPPORTED_ALGORITHM

    public static final oracle.security.xmlsec.util.QName UNSUPPORTED_ALGORITHM

  Indicates that an unsupported signature or encryption algorithm was used.

### INVALID_SECURITY

    public static final oracle.security.xmlsec.util.QName INVALID_SECURITY

  Indicates that an error was discovered while processing the wsse:Security header.

### INVALID_SECURITY_TOKEN

    public static final oracle.security.xmlsec.util.QName INVALID_SECURITY_TOKEN

  Indicates that the security token is not valid.

### FAILED_AUTHENTICATION

    public static final oracle.security.xmlsec.util.QName FAILED_AUTHENTICATION

  Indicates that the security token could not be authenticated or authorized.

### FAILED_CHECK

    public static final oracle.security.xmlsec.util.QName FAILED_CHECK

  Indicates that the signature or decryption failed.

### SECURITY_TOKEN_UNAVAILABLE

    public static final oracle.security.xmlsec.util.QName SECURITY_TOKEN_UNAVAILABLE

  Indicates that the referenced security token could not be retrieved.

### MESSAGE_EXPIRED

    public static final oracle.security.xmlsec.util.QName MESSAGE_EXPIRED

  Indicates that the timestamp on the security token has expired.

Constructor Detail

### WSSException

    public WSSException()

  Creates a new WSSException instance

### WSSException

    public WSSException(java.lang.String message)

  Creates a new WSSException instance with the given message string.
Parameters:
  `message` - The exception message string.

### WSSException

    public WSSException(oracle.security.xmlsec.util.QName faultcode)

  Create a new `WSSException` instance with the given fault code.
Parameters:
  `faultcode` - The WSS fault code.

### WSSException

    public WSSException(java.lang.Throwable cause,
                        oracle.security.xmlsec.util.QName faultcode)

  Create a new `WSSException` instance with the given fault code.
Parameters:
  `faultcode` - The WSS fault code.
  `cause` - The exception cause.

### WSSException

    public WSSException(oracle.security.xmlsec.util.QName faultcode,
                        java.lang.String faultString)

  Create a new `WSSException` instance with the given fault code and the detailed message.
Parameters:
  `faultcode` - The WSS fault code.
  `faultString` - The WSS fault string.

Method Detail

### getFaultCode

    public oracle.security.xmlsec.util.QName getFaultCode()

  Return the WSS fault code.
  Returns:
    The fault code.

### getFaultString

    public java.lang.String getFaultString()

  Return the WSS fault string.
  Returns:
    The fault message.

### getTraceString

    public java.lang.String getTraceString()

  Used to return the Exception Stack Trace. Not any more
  Returns:
    The exception stacktrace as a string.

### getMessage

    public java.lang.String getMessage()

  Return the SOAP Fault Message.
  Returns:
    The SOAP Fault message string.

### toString

    public java.lang.String toString()

  Return the description of the exception.
  Returns:
    The exception message.

### createSOAPFault

    public oracle.security.xmlsec.soap.v11.SOAPEnvelope createSOAPFault()

  Create a SOAP Fault message describing this exception.

  SOAP 1.1 is ONLY supported.

  Returns:
    The soap fault message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.